Substy Developers
Automations

Set messaging automation enabled

Set whether a messaging automation is enabled. Enabling it permits triggered sends to real fans.

PATCH/v1/agencies/{agencyId}/automations/{automationId}/activation

Set whether a messaging automation is enabled. Enabling it permits triggered sends to real fans.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
automationId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/agencies/string/automations/string/activation" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "enabled": true  }'
{  "data": {    "enabled": true,    "creatorId": "string",    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "name": "string",    "updatedAt": "2019-08-24T14:15:22Z",    "endDate": null,    "trigger": "FAN_SUBSCRIBES_FIRST_TIME",    "frequency": "SEND_ONCE",    "keywords": [      "string"    ],    "keywordMatchType": "CONTAINS",    "scheduledDate": null,    "scheduledTime": null,    "expiryDate": null,    "expiryTime": null,    "actionSendMessage": true,    "actionStopAI": true,    "actionNotifyEmployee": true,    "actionAddToList": true,    "notifyEmployeeMessage": null,    "targetListIds": [      "string"    ],    "fanListsIncluded": [      "string"    ],    "fanListsExcluded": [      "string"    ],    "totalSpendMin": null,    "totalSpendMax": null,    "tipsReceivedMin": null,    "tipsReceivedMax": null,    "subscriptionDurationMin": null,    "subscriptionDurationUnit": null,    "onlineStatusOnly": true,    "excludeRecentlyMessaged": true,    "excludeRecentlyMessagedTime": null,    "excludeMediaViewers": true,    "excludeUnreadMessages": true,    "excludeCreatorAccounts": true,    "effectiveType": "IMMEDIATELY",    "randomDelayMin": null,    "randomDelayMax": null,    "expiryType": "NEVER_EXPIRE",    "unsendMessages": true,    "unsendAfter": null,    "stopMessageOnReply": true,    "stoppedAt": null,    "totalSent": 0,    "totalEarned": "string",    "amountPurchased": 0,    "createdByEmployeeId": null,    "stoppedByEmployeeId": null  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}